DbcFaker
=====
This gem has been insipired by the original [Faker gem](https://github.com/stympy/faker/blob/master/README.md) by Benjamin Curtis and created as part of Dev BootCamp phase1 group project. Creation of this gem is in part due to our appericiation for Faker and in part as a learning exercise. We suggest you check out the original Faker gem for a much more broader support of random content generation.

##Authors
####In alphabetical order based on last name
Rebecca Caroline, Jonathan Berk, Jeremy Gagon and Sam Sedighian


Installing
----------
```bash
gem install dbcfaker
```

##Usage

###DbcFaker::Name
-----
```ruby
# Names of current student of alumni of DBC Alumni

DbcFaker::Name.name       #=> "Sam Sedighian"

DbcFaker::Name.first_name #=> "Jeremy"

DbcFaker::Name.last_name  #=> "Caroline"

```

###DbcFaker::Cohort
-----------------

```ruby
# Actual current and previous cohorts
DbcFaker::Cohort.name #=> "Fiddle Crabs"

# Random and potentially funny cohort name
DbcFaker::Cohort.bs     #=> "Alliterative Amazing Aardvarks"

# Optional arguments for adjectives in ::Cohort.bs (default is 2)
DbcFaker::Cohort.bs(3)     #=> "Blue Blissful Bogus Bumblebees"

```

###DbcFaker::Quote
-----------------

```ruby
# Actual quotes. #bs quotes are real too! :)

DbcFaker::Quote.quote #=> "confusion is the feeling that comes before understanding."

```
